package com.wrj.driver.server.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wrj.driver.server.dto.QuestionPracticeAddDto;
import com.wrj.driver.server.dto.QuestionPracticeQueryDto;
import com.wrj.driver.server.entity.WrjQuestionPractice;
import com.baomidou.mybatisplus.extension.service.IService;
import com.wrj.driver.server.vo.QuestionPracticeVo;

import java.util.List;

/**
 * <p>
 * 用户答题练习表 服务类
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-29
 */
public interface IWrjQuestionPracticeService extends IService<WrjQuestionPractice> {

    Boolean insertQuestionPractice(QuestionPracticeAddDto addDto);

    Boolean clear(Long userId, String practiceType);

    IPage<QuestionPracticeVo> query(QuestionPracticeQueryDto queryDto);
}
